from OpenGL import GL
import pygame

import screen
import client
import level
import sprite
import data
import client_screen, server_screen

class MenuScreen (screen.Screen):
	def __init__(self):
		super(MenuScreen,self).__init__()
		self.background_sprite = sprite.SpriteImage(data.filepath("main.png"))
	
	def draw(self):
		GL.glTranslatef(-400,-300,0)
		sprite.set_color((1,1,1,1))
		self.background_sprite.draw()
	
	def handle_event(self, event):
		if event.type == pygame.KEYDOWN:
			if event.key == pygame.K_s:
				self.next_level = server_screen.ServerScreen()
			if event.key == pygame.K_c:
				self.next_level = client_screen.ClientScreen()
			if event.key == pygame.K_ESCAPE:
				self.next_level = None
